# [Soft UI Dashboard Material-UI](http://demos.creative-tim.com/soft-ui-dashboard-material-ui/#/dashboard?ref=readme-sudmui) [![Tweet](https://img.shields.io/twitter/url/http/shields.io.svg?style=social&logo=twitter)](https://twitter.com/intent/tweet?url=https://www.creative-tim.com/product/soft-ui-dashboard-material-ui&text=Check%20Soft%20UI%20Dashboard%20material-ui%20made%20by%20@CreativeTim%20#webdesign%20#dashboard%20#softdesign%20#react%20https://www.creative-tim.com/product/soft-ui-dashboard-material-ui)

![version](https://img.shields.io/badge/version-1.0.0-blue.svg) [![GitHub issues open](https://img.shields.io/github/issues/creativetimofficial/soft-ui-dashboard-material-ui.svg)](https://github.com/creativetimofficial/soft-ui-dashboard-material-ui/issues?q=is%3Aopen+is%3Aissue) [![GitHub issues closed](https://img.shields.io/github/issues-closed-raw/creativetimofficial/soft-ui-dashboard-material-ui.svg)](https://github.com/creativetimofficial/soft-ui-dashboard-material-ui/issues?q=is%3Aissue+is%3Aclosed)

![Image](https://s3.amazonaws.com/creativetim_bucket/products/500/original/soft-ui-dashboard-material-ui.jpg)

Start your Development with an Innovative Admin Template for Material-UI and React. If you like the look & feel of the hottest design trend right now, Soft UI, you will fall in love with this dashboard! It features a huge number of components built to fit together and look amazing.

**Fully Coded Elements**
Soft UI Dashboard Material-UI is built with over 70 frontend individual elements, like buttons, inputs, navbars, nav tabs, cards, or alerts, giving you the freedom of choosing and combining. All components can take variations in color, which you can easily modify using JSS files and classes. You will save a lot of time going from prototyping to full-functional code because all elements are implemented. This Premium Material-UI Dashboard is coming with prebuilt design blocks, so the development process is seamless, switching from our pages to the real website is very easy to be done.

View [all components here](https://www.creative-tim.com/learning-lab/material-ui/alerts/soft-ui-dashboard).

**Documentation built by Developers**

Each element is well presented in very complex documentation.

You can read more about the [documentation here](https://www.creative-tim.com/learning-lab/material-ui/overview/soft-ui-dashboard).

**Example Pages**

If you want to get inspiration or just show something directly to your clients, you can jump-start your development with our pre-built example pages. Every page is spaced well, with attractive layouts and pleasing shapes. Soft UI Dashboard Material-UI has everything you need to quickly set up an amazing project.

View [example pages here](https://demos.creative-tim.com/soft-ui-dashboard-material-ui/#/dashboard).

**HELPFUL LINKS**

- View [Github Repository](https://github.com/creativetimofficial/soft-ui-dashboard-material-ui)
- Check [FAQ Page](https://www.creative-tim.com/faq)

#### Special thanks

During the development of this dashboard, we have used many existing resources from awesome developers. We want to thank them for providing their tools open source:

- [Material-UI](https://material-ui.com/) - React components for faster and easier web development.
- [React Countup](https://github.com/glennreyes/react-countup) - A lightweight React component that can be used to quickly create animations that display numerical data in a more interesting way.
- [React ChartJS 2](http://reactchartjs.github.io/react-chartjs-2/#/) - Simple yet flexible React charting for designers & developers
- [ChromaJS](https://gka.github.io/chroma.js/) - A small-ish zero-dependency JavaScript library for all kinds of color conversions and color scales.

Let us know your thoughts below. And good luck with development!

## Table of Contents

- [Versions](#versions)
- [Demo](#demo)
- [Quick Start](#quick-start)
- [Documentation](#documentation)
- [File Structure](#file-structure)
- [Browser Support](#browser-support)
- [Resources](#resources)
- [Reporting Issues](#reporting-issues)
- [Technical Support or Questions](#technical-support-or-questions)
- [Licensing](#licensing)
- [Useful Links](#useful-links)

## Versions

[<img src="https://raw.githubusercontent.com/creativetimofficial/public-assets/master/logos/icon-material-ui.jpg?raw=true" width="60" height="60" />](https://www.creative-tim.com/product/soft-ui-dashboard-pro-material-ui?ref=readme-sudmui)

| Material-UI |
| ----------- |

| [![Soft UI Dashboard Material-UI](https://s3.amazonaws.com/creativetim_bucket/products/500/thumb/soft-ui-dashboard-material-ui.jpg)](http://demos.creative-tim.com/soft-ui-dashboard-pro-material-ui/#/dashboard?ref=readme-sudmui)

## Demo

- [Dashboard](http://demos.creative-tim.com/soft-ui-dashboard-material-ui/#/dashboard?ref=readme-sudmui)
- [Profile](https://demos.creative-tim.com/soft-ui-dashboard-material-ui/#/profile?ref=readme-sudmui)
- [RTL](https://demos.creative-tim.com/soft-ui-dashboard-material-ui/#/rtl?ref=readme-sudmui)
- [Sign In](https://demos.creative-tim.com/soft-ui-dashboard-material-ui/#/authentication/sign-in?ref=readme-sudmui)
- [Sign Up](https://demos.creative-tim.com/soft-ui-dashboard-material-ui/#/authentication/sign-up?ref=readme-sudmui)

[View More](https://demos.creative-tim.com/soft-ui-dashboard-material-ui/#/dashboard?ref=readme-sudmui).

## Quick start

Quick start options:

- Buy from [Creative Tim](https://www.creative-tim.com/product/soft-ui-dashboard-material-ui?ref=readme-sudmui).

## Terminal Commands

1. Download and Install NodeJs LTS version from [NodeJs Official Page](https://nodejs.org/en/download/).
2. Navigate to the root / directory and run yarn install/npm install to install our local dependencies.

## Documentation

The documentation for the Soft UI Dashboard is hosted at our [website](https://www.creative-tim.com/learning-lab/material-ui/overview/soft-ui-dashboard?ref=readme-sudmui).

### What's included

Within the download you'll find the following directories and files:

```
soft-ui-dashboard-material-ui
    ├── public
    │   ├── apple-icon.png
    │   ├── favicon.png
    │   ├── index.html
    │   ├── manifest.json
    │   └── robots.txt
    ├── src
    │   ├── assets
    │   │   ├── images
    │   │   └── theme
    │   │       ├── base
    │   │       ├── components
    │   │       ├── functions
    │   │       ├── index.js
    │   │       └── theme-rtl.js
    │   ├── components
    │   │   ├── SuiAlert
    │   │   ├── SuiAvatar
    │   │   ├── SuiBadge
    │   │   ├── SuiBox
    │   │   ├── SuiButton
    │   │   ├── SuiInput
    │   │   ├── SuiPagination
    │   │   ├── SuiProgress
    │   │   └── SuiTypography
    │   ├── context
    │   ├── examples
    │   │   ├── Breadcrumbs
    │   │   ├── Calendar
    │   │   ├── Cards
    │   │   ├── Charts
    │   │   ├── Configurator
    │   │   ├── Footer
    │   │   ├── Icons
    │   │   ├── LayoutContainers
    │   │   ├── Navbars
    │   │   ├── NotificationItem
    │   │   ├── ProfilesList
    │   │   ├── Sidenav
    │   │   ├── Table
    │   │   └── Timeline
    │   ├── layouts
    │   │   ├── authentication
    │   │   │    ├── components
    │   │   │    ├── sign-in
    │   │   │    └── sign-up
    │   │   ├── billing
    │   │   ├── dashboard
    │   │   ├── profile
    │   │   ├── rtl
    │   │   ├── tables
    │   │   └── virtual-reality
    │   ├── App.js
    │   ├── index.js
    │   └── routes.js
    ├── .eslintrc.json
    ├── .prettierrc.json
    ├── CHANGELOG.md
    ├── ISSUE_TEMPLATE.md
    ├── jsconfig.json
    ├── package.json
    └── README.md
```

## Browser Support

At present, we officially aim to support the last two versions of the following browsers:

<img src="https://s3.amazonaws.com/creativetim_bucket/github/browser/chrome.png" width="64" height="64"> <img src="https://s3.amazonaws.com/creativetim_bucket/github/browser/firefox.png" width="64" height="64"> <img src="https://s3.amazonaws.com/creativetim_bucket/github/browser/edge.png" width="64" height="64"> <img src="https://s3.amazonaws.com/creativetim_bucket/github/browser/safari.png" width="64" height="64"> <img src="https://s3.amazonaws.com/creativetim_bucket/github/browser/opera.png" width="64" height="64">

## Resources

- [Live Preview](https://demos.creative-tim.com/soft-ui-dashboard-pro-material-ui/#/dashboard?ref=readme-sudmui)
- [Buy Page](https://www.creative-tim.com/product/soft-ui-dashboard-pro-material-ui?ref=readme-sudmui)
- Documentation is [here](https://www.creative-tim.com/learning-lab/material-ui/overview/soft-ui-dashboard?ref=readme-sudmui)
- [License Agreement](https://www.creative-tim.com/license?ref=readme-sudmui)
- [Support](https://www.creative-tim.com/contact-us?ref=readme-sudmui)
- Issues: [Github Issues Page](https://github.com/creativetimofficial/ct-soft-ui-dashboard-pro-material-ui/issues)

## Reporting Issues

We use GitHub Issues as the official bug tracker for the Soft UI Dashboard Material-UI. Here are some advices for our users that want to report an issue:

1. Make sure that you are using the latest version of the Soft UI Dashboard Material-UI. Check the CHANGELOG from your dashboard on our [website](https://www.creative-tim.com/product/soft-ui-dashboard-pro-material-ui?ref=readme-sudmui).
2. Providing us reproducible steps for the issue will shorten the time it takes for it to be fixed.
3. Some issues may be browser specific, so specifying in what browser you encountered the issue might help.

## Technical Support or Questions

If you have questions or need help integrating the product please [contact us](https://www.creative-tim.com/contact-us?ref=readme-sudmui) instead of opening an issue.

## Licensing

- Copyright 2021 [Creative Tim](https://www.creative-tim.com?ref=readme-sudmui)
- Creative Tim [license](https://www.creative-tim.com/license?ref=readme-sudmui)

## Useful Links

- [More products](https://www.creative-tim.com/templates?ref=readme-sudmui) from Creative Tim

- [Tutorials](https://www.youtube.com/channel/UCVyTG4sCw-rOvB9oHkzZD1w)

- [Freebies](https://www.creative-tim.com/bootstrap-themes/free?ref=readme-sudmui) from Creative Tim

- [Affiliate Program](https://www.creative-tim.com/affiliates/new?ref=readme-sudmui) (earn money)

##### Social Media

Twitter: <https://twitter.com/CreativeTim>

Facebook: <https://www.facebook.com/CreativeTim>

Dribbble: <https://dribbble.com/creativetim>

Google+: <https://plus.google.com/+CreativetimPage>

Instagram: <https://instagram.com/creativetimofficial>
